Make hg glog abort if unused arguments are given.
--- a/hgext/graphlog.py Thu Jun 28 16:03:45 2007 +0200
+++ b/hgext/graphlog.py Thu Jun 28 16:18:09 2007 +0200
@@ -141,7 +141,7 @@
else:
return (repo.changelog.count() - 1, 0)
-def graphlog(ui, repo, *args, **opts):
+def graphlog(ui, repo, **opts):
"""show revision history alongside an ASCII revision graph
Print a revision history alongside a revision graph drawn with
--- a/tests/test-glog Thu Jun 28 16:03:45 2007 +0200
+++ b/tests/test-glog Thu Jun 28 16:18:09 2007 +0200
@@ -138,3 +138,6 @@
echo % glog
hg glog
+
+echo % unused arguments
+hg glog -q foo || echo failed
--- a/tests/test-glog.out Thu Jun 28 16:03:45 2007 +0200
+++ b/tests/test-glog.out Thu Jun 28 16:18:09 2007 +0200
@@ -307,3 +307,9 @@
date: Thu Jan 01 00:00:00 1970 +0000
summary: (0) root
+% unused arguments
+hg glog: invalid arguments
+hg glog [OPTION]...
+
+show revision history alongside an ASCII revision graph
+failed